unit GLState;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OpenGL;

type
  TGLStateForm = class(TForm)
    Log: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GLStateForm: TGLStateForm;

implementation

{$R *.DFM}

procedure TGLStateForm.FormCreate(Sender: TObject);
begin
  Log.Clear;
end;

procedure TGLStateForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  case Key of
    VK_ESCAPE: Close;
  end;
end;

end.
